USN-5464-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5464-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5464-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5464-1
Related
Published
2022-06-07T18:36:50.473978Z
Modified
2022-06-07T18:36:50.473978Z
Summary
e2fsprogs vulnerability
Details

Nils Bars discovered that e2fsprogs incorrectly handled certain file systems. A local attacker could use this issue with a crafted file system image to possibly execute arbitrary code.

References

Affected packages

Ubuntu:Pro:14.04:LTS / e2fsprogs

Package

Name
e2fsprogs

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.42.9-3ubuntu1.3+esm3

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "e2fslibs-dev": "1.42.9-3ubuntu1.3+esm3",
            "ss-dev": "2.0-1.42.9-3ubuntu1.3+esm3",
            "comerr-dev": "2.1-1.42.9-3ubuntu1.3+esm3",
            "e2fsck-static": "1.42.9-3ubuntu1.3+esm3",
            "libss2": "1.42.9-3ubuntu1.3+esm3",
            "e2fsprogs": "1.42.9-3ubuntu1.3+esm3",
            "libcomerr2": "1.42.9-3ubuntu1.3+esm3",
            "e2fslibs": "1.42.9-3ubuntu1.3+esm3"
        }
    ]
}

Ubuntu:22.04:LTS / e2fsprogs

Package

Name
e2fsprogs

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.46.5-2ubuntu1.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "ss-dev": "2.0-1.46.5-2ubuntu1.1",
            "comerr-dev": "2.1-1.46.5-2ubuntu1.1",
            "e2fsprogs-l10n": "1.46.5-2ubuntu1.1",
            "fuse2fs": "1.46.5-2ubuntu1.1",
            "libcom-err2": "1.46.5-2ubuntu1.1",
            "libext2fs-dev": "1.46.5-2ubuntu1.1",
            "e2fsck-static": "1.46.5-2ubuntu1.1",
            "libss2": "1.46.5-2ubuntu1.1",
            "e2fsprogs": "1.46.5-2ubuntu1.1",
            "logsave": "1.46.5-2ubuntu1.1",
            "libext2fs2": "1.46.5-2ubuntu1.1"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / e2fsprogs

Package

Name
e2fsprogs

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.42.13-1ubuntu1.2+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "e2fslibs-dev": "1.42.13-1ubuntu1.2+esm1",
            "ss-dev": "2.0-1.42.13-1ubuntu1.2+esm1",
            "comerr-dev": "2.1-1.42.13-1ubuntu1.2+esm1",
            "e2fsck-static": "1.42.13-1ubuntu1.2+esm1",
            "libss2": "1.42.13-1ubuntu1.2+esm1",
            "e2fsprogs": "1.42.13-1ubuntu1.2+esm1",
            "libcomerr2": "1.42.13-1ubuntu1.2+esm1",
            "e2fslibs": "1.42.13-1ubuntu1.2+esm1"
        }
    ]
}

Ubuntu:18.04:LTS / e2fsprogs

Package

Name
e2fsprogs

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.44.1-1ubuntu1.4

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "e2fslibs-dev": "1.44.1-1ubuntu1.4",
            "ss-dev": "2.0-1.44.1-1ubuntu1.4",
            "comerr-dev": "2.1-1.44.1-1ubuntu1.4",
            "e2fsprogs-l10n": "1.44.1-1ubuntu1.4",
            "fuse2fs": "1.44.1-1ubuntu1.4",
            "libcom-err2": "1.44.1-1ubuntu1.4",
            "libext2fs-dev": "1.44.1-1ubuntu1.4",
            "e2fsck-static": "1.44.1-1ubuntu1.4",
            "libss2": "1.44.1-1ubuntu1.4",
            "e2fsprogs": "1.44.1-1ubuntu1.4",
            "libcomerr2": "1.44.1-1ubuntu1.4",
            "e2fslibs": "1.44.1-1ubuntu1.4",
            "libext2fs2": "1.44.1-1ubuntu1.4"
        }
    ]
}

Ubuntu:20.04:LTS / e2fsprogs

Package

Name
e2fsprogs

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.45.5-2ubuntu1.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "e2fslibs-dev": "1.45.5-2ubuntu1.1",
            "ss-dev": "2.0-1.45.5-2ubuntu1.1",
            "comerr-dev": "2.1-1.45.5-2ubuntu1.1",
            "fuse2fs": "1.45.5-2ubuntu1.1",
            "libcom-err2": "1.45.5-2ubuntu1.1",
            "libext2fs-dev": "1.45.5-2ubuntu1.1",
            "libss2": "1.45.5-2ubuntu1.1",
            "e2fsprogs": "1.45.5-2ubuntu1.1",
            "e2fsprogs-l10n": "1.45.5-2ubuntu1.1",
            "e2fsck-static": "1.45.5-2ubuntu1.1",
            "e2fslibs": "1.45.5-2ubuntu1.1",
            "libcomerr2": "1.45.5-2ubuntu1.1",
            "logsave": "1.45.5-2ubuntu1.1",
            "libext2fs2": "1.45.5-2ubuntu1.1"
        }
    ]
}